メインコンテンツへスキップ
GET
/
v2
/
wallet
/
{chain}
/
{walletAddress}
/
tokens-balance
ウォレット - トークン残高
curl --request GET \
  --url https://api.chainstream.io/v2/wallet/{chain}/{walletAddress}/tokens-balance \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "amount": "1000.50",
      "chain": "sol",
      "decimals": 6,
      "name": "USD Coin",
      "priceInNative": "0.00000667",
      "priceInUsd": "1.0001",
      "symbol": "USDC",
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "valueInNative": "6.67",
      "valueInUsd": "1000.60",
      "logoUri": "https://s1.chainstream.io/tokens/images/usdc.webp"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}
Get all token balances for a wallet address. Returns token addresses, amounts, and USD values.
Related: GraphQL Balances | MCP: wallet_get_balance

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

chain
enum<string>
必須

サポートされているネットワークに記載されているチェーン名 Supported blockchain chains

利用可能なオプション:
sol,
eth,
bsc
walletAddress
string
必須

ウォレットのアドレス

クエリパラメータ

cursor
string

ページネーションカーソル

limit
integer<int64>
デフォルト:20

ページあたりの結果数

direction
enum<string>
デフォルト:next

ページネーション方向(next または prev) Pagination direction

利用可能なオプション:
next,
prev

レスポンス

200 - application/json

成功レスポンス

Generic pagination response

data
object[]
必須

Page data

endCursor
string | null

Cursor for the end of current page

:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

:

false

hasPrev
boolean

Whether there is a previous page

:

false

startCursor
string | null

Cursor for the start of current page

:

"eyJpZCI6InN0YXJ0In0="